Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.util
Class SessionLog

    java.lang.Object
      org.apache.mina.util.SessionLog

    public class SessionLog

extends Object

Provides utility methods to log protocol-specific messages.

Set `PREFIX` and `LOGGER` session attributes to override prefix string and logger.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary
`static String` | `LOGGER` Session attribute key: `Logger`
`static String` | `PREFIX` Session attribute key: prefix string

Constructor Summary
`SessionLog()`

Method Summary
`static void` | `debug(IoSession session, String message)`
`static void` | `debug(IoSession session, String message, Throwable cause)`
`static void` | `error(IoSession session, String message)`
`static void` | `error(IoSession session, String message, Throwable cause)`
`static void` | `info(IoSession session, String message)`
`static void` | `info(IoSession session, String message, Throwable cause)`
`static boolean` | `isDebugEnabled(IoSession session)`
`static boolean` | `isErrorEnabled(IoSession session)`
`static boolean` | `isInfoEnabled(IoSession session)`
`static boolean` | `isWarnEnabled(IoSession session)`
`static void` | `warn(IoSession session, String message)`
`static void` | `warn(IoSession session, String message, Throwable cause)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Session attribute key: prefix string

### LOGGER

    public static final String LOGGER

  Session attribute key: `Logger`

Constructor Detail

### SessionLog

    public SessionLog()

Method Detail

### debug

    public static void debug(IoSession session,
                             String message)

### debug

    public static void debug(IoSession session,
                             String message,
                             Throwable cause)

### info

    public static void info(IoSession session,
                            String message)

### info

    public static void info(IoSession session,
                            String message,
                            Throwable cause)

### warn

    public static void warn(IoSession session,
                            String message)

### warn

    public static void warn(IoSession session,
                            String message,
                            Throwable cause)

### error

    public static void error(IoSession session,
                             String message)

### error

    public static void error(IoSession session,
                             String message,
                             Throwable cause)

### isDebugEnabled

    public static boolean isDebugEnabled(IoSession session)

### isInfoEnabled

    public static boolean isInfoEnabled(IoSession session)

### isWarnEnabled

    public static boolean isWarnEnabled(IoSession session)

### isErrorEnabled

    public static boolean isErrorEnabled(IoSession session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.